### Function

# Ide g_file_find_with_depth

#### Declaration

    GPtrArray*
    ide_g_file_find_with_depth (
      GFile* file,
      const gchar* pattern,
      guint max_depth,
      GCancellable* cancellable
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`pattern` | `const gchar*`
| The glob pattern to search for using GPatternSpec.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`max_depth` | `guint`
| Maximum tree depth to search.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `GFile`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.